set width 8
set height 8
set version 1.0

proc parseArgs {argc argv} {
  for {set i 0} {$i < $argc} {incr i} {
    set arg [lindex $argv $i]
    case $arg {
      -help	printHelp
      -v {
        global version
        echo "tkreversi, version $version."
        exit
      }
      -width	{
        incr i
        global width
        set width [lindex $argv $i]
        if {[lsearch {6 8 10 12} $width] == -1} {printHelp}
      }
      -height	{
        incr i
        global height
        set height [lindex $argv $i]
        if {[lsearch {6 8 10 12} $height] == -1} {printHelp}
      }
      default	printHelp
    }
  }
}

proc printHelp {} {
  echo {tkreversi -width [width] -height [height]}
  echo width and height should be one of \{6, 8, 10, 12\}
  exit
}

parseArgs $argc $argv
